CalryOTA Docs
Listing

Update listing details

Updates the details of a specific listing. Allows updating various aspects of the listing including name, description, amenities, pricing, and other metadata.

PUT
/api/v1/listing/{id}

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

id*string

Unique identifier of the listing

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/listing/123e4567-e89b-12d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty